GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

List Active Orders

REST APIsTradingOrdersList Active Orders

List Active Orders

POSThttps://api.gemini.com/v1/orders

Get all active orders for your account.

Note

Gemini recommends using our WebSocket Order Events API to maintain a current view of your active orders. It's both faster and more efficient than polling this endpoint.

Under the terms of the Gemini API Agreement, polling this endpoint may be subject to rate limiting.

Enabled for perpetuals accounts from July 10th, 0100hrs ET onwards.

POSTv1/orders
curl --request POST \
  --url https://api.gemini.com/v1/orders \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/orders",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have orders:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/orders
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
Example request body
{
  "request": "/v1/orders",
  "nonce": "<nonce>"
}

Responses

The active orders

order_idstring (integer)
The order id
client_order_idstring (integer)
An optional [client-specified order id](/client-order-id#client-order-id)
symbolstring
The [symbol](/market-data/symbols-and-minimums#symbols-and-minimums) of the order
exchangestring
Will always be "gemini"
pricestring (decimal)
The price the order was issued at
avg_execution_pricestring (decimal)
The average price at which this order as been executed so far. 0 if the order has not been executed at all.
sidestring·enum
Enum values: buysell
typestring·enum
Description of the orderEnum values: exchange limitexchange stop limitexchange market
optionsarray
An array containing at most one supported order execution option. See [Order execution options](/rest/orders#create-new-order) for details.
timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
timestampmsstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
is_liveboolean
`true` if the order is active on the book (has remaining quantity and has not been canceled)
is_cancelledboolean
`true` if the order has been canceled. Note the spelling, "cancelled" instead of "canceled". This is for compatibility reasons.
reasonstring
Populated with the reason your order was canceled, if available.
was_forcedboolean
Will always be `false`.
executed_amountstring (decimal)
The amount of the order that has been filled.
remaining_amountstring (decimal)
The amount of the order that has not been filled.
original_amountstring (decimal)
The originally submitted amount of the order.
is_hiddenboolean
Will always return `false`.
tradesarray
Contains an array of JSON objects with trade details.
trades[].pricestring (decimal)
The price that the execution happened at
trades[].amountstring (decimal)
The quantity that was executed
trades[].timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
trades[].timestampmsstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
trades[].typestring·enum
Will be either "Buy" or "Sell", indicating the side of the original orderEnum values: BuySellExample: Buy
trades[].aggressorboolean
If `true`, this order was the taker in the trade
trades[].fee_currencystring
Currency that the fee was paid inExample: USD
trades[].fee_amountstring (decimal)
The amount chargedExample: 1.23
trades[].tidinteger
Unique identifier for the tradeExample: 17379712930
trades[].order_idstring
The order that this trade executed againstExample: 123456789
trades[].exchangestring
Will always be "gemini"Example: gemini
trades[].breakstring
Will only be present if the trade is broken. See `Break Types` below for more information.
Example Responses
[
  {
    "order_id": "107421210",
    "id": "107421210",
    "symbol": "ethusd",
    "exchange": "gemini",
    "avg_execution_price": "0.00",
    "side": "sell",
    "type": "exchange limit",
    "timestamp": "1547241628",
    "timestampms": 1547241628042,
    "is_live": true,
    "is_cancelled": false,
    "is_hidden": false,
    "was_forced": false,
    "executed_amount": "0",
    "remaining_amount": "1",
    "options": [],
    "price": "125.51",
    "original_amount": "1"
  },
  {
    "order_id": "107421205",
    "id": "107421205",
    "symbol": "ethusd",
    "exchange": "gemini",
    "avg_execution_price": "125.41",
    "side": "buy",
    "type": "exchange limit",
    "timestamp": "1547241626",
    "timestampms": 1547241626991,
    "is_live": true,
    "is_cancelled": false,
    "is_hidden": false,
    "was_forced": false,
    "executed_amount": "0.029147",
    "remaining_amount": "0.970853",
    "options": [],
    "price": "125.42",
    "original_amount": "1"
  }
]
PreviousGet Order StatusNextList Past Orders
Last modified on May 5, 2026